<?php

namespace App\Media\QuickTime\Atoms\moov\trak\mdia\minf;

use App\Media\QuickTime\Atoms\SubAtom;
use App\Media\QuickTime\Atoms\Unknown;

class stbl extends SubAtom
{
	private const subatom_classes = 'App\\Media\\QuickTime\\Atoms\\moov\\trak\\mdia\\minf\\stbl\\';

	public function __construct(int $offset,int $size,string $filename,?string $data,?string $arg=NULL)
	{
		parent::__construct($offset,$size,$filename);

		$this->atoms = $this->get_atoms(self::subatom_classes,Unknown::class,$offset,$size,$data,$arg);

		// For debugging
		if (FALSE)
			$this->debug = hex_dump($data ?: $this->data());
	}
}